Skip to content

Find users

GET
/global/user/users
Required scope: global:user:read

Searches for users globally.

Parameters ​

Query parameters

page  integer
The page number to retrieve. The first page is 1. Cannot be less than 1.
Default value: 1
pageSize  integer
The size of the pages to retrieve. The default is 10. Cannot be less than 1 and larger than 100.
Default value: 10
keywords  string
Optional keywords (whitespace separated) to search for.
viskanEmployeesOnly  boolean
Indicates that only Viskan employees should be returned.
Default value: false
blocked  enum
Filter by the blocked status.
Enum: ALLBLOCKEDUNBLOCKED
Default value: UNBLOCKED
tenantId  string
Optional tenant identifier; returns only users with active access to that tenant.
userIds  string
Multivalued
Optional user identifiers (repeat the parameter); returns only these users, all in one page whatever the page and page size. At most 100.

Response ​

The response contains a set of search hits.